# SPDX-FileCopyrightText: no
# SPDX-License-Identifier: CC0-1.0

---

i18n:
  name: "Generate DNSCrypt cert"
  name[ru]: "Создание сертификата для DNSCrypt"

dontChroot: true

timeout: 180

script:
  - "-mkdir -p ${ROOT}/var/lib/dnscrypt-proxy"
  - '-openssl req -x509 -verbose -batch -subj "/C=/ST=/L=/O=/OU=/CN=/emailAddress=" -nodes -newkey rsa:2048 -days 5000 -sha256 -keyout /tmp/localhost.pem -out /tmp/localhost.pem'
  - "-cp -vf /tmp/localhost.pem ${ROOT}/var/lib/dnscrypt-proxy/localhost.pem"
